html {
  font: $font-size-base/1 "Helvetica Neue", sans-serif;
}

body {
  box-sizing: border-box;
  max-width: 1280px;
  margin: 0 auto;
  padding: 32px;
  position: relative;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*, *:before, *:after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
	color: black;
  &:hover {
    color: red;
  }
}

table.control {
  border-collapse: collapse;
  width: 100%;
  thead {
    tr {
      background-color: none;
    }
    th {
      font-size: bold;
    }
  }
  td, th {
    border-bottom: 1px solid #cccccc;
    text-align: left;
    padding: 12px;
  }
  tr:nth-child(even) {
    /*background-color: #e9e9e9;*/
  }
  tr:hover {
    background-color: #e9e9e9;
  }
  .action {
    .separator:after {
      content: "|";
      padding: 0 0.4rem;
    }
  }
  caption {
    caption-side: bottom;
    margin-top: 8px;
  }
}


#mainNav {
  position: relative;
  span {
    margin-right: 20px;
    &.logout {
      float: right;
      margin-right: 80px;
    }
  }
  padding-bottom: 12px;
}


// Code styling based on markdown
code {
  font-family: monospace, monospace;
  font-size: 1em;
}

code {
  font-family: Consolas, "Liberation Mono", Menlo, Courier, monospace;
  font-size: 12px;
  padding: 0;
  padding-top: 0.2em;
  padding-bottom: 0.2em;
  margin: 0;
  font-size: 85%;
  background-color: rgba(0,0,0,0.04);
  border-radius: 3px;
  &::before,
  &::after {
    letter-spacing: -0.2em;
    content: "\00a0";
  }
}

pre {
  > code {
    padding: 0;
    margin: 0;
    font-size: 100%;
    word-break: normal;
    white-space: pre;
    background: transparent;
    border: 0;
    code {
      display: inline;
      max-width: auto;
      padding: 0;
      margin: 0;
      overflow: visible;
      line-height: inherit;
      word-wrap: normal;
      background-color: transparent;
      border: 0;
      &::before,
      &::after {
        content: normal;
      }
    }
  }
}


button {
  -webkit-transition-duration: 0.4s;
  transition-duration: 0.4s;
  display: inline-block;
  min-width: 110px;
  // font-size: 1.2em;
  margin: 15px 0 20px;
  padding: 6px 15px 8px;
  border: none;
  border: 2px solid #555;
  border-radius: 3px;

  cursor: pointer;
  background: #555;
  color: #fff;
  &:hover {
    background: #fff;
    color: #555;
  }
  &:active {
    transform: scale(0.97);
  }
}


span#statusBadge {
  display: none;
  transition: all 0.4s;
  padding: .2em .6em .3em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: .25em;
  position: absolute;
  top: 0;
  right: 0;
  margin: 0!important;
  &.online {
    background: #5cb85c;
    &:after { content: "Online"; }
  }
  &.offline {
    background: #d9534f;
    &:after { content: "Offline"; }
  }
  &.error {
    background: #f0ad4e;
    &:after { content: "Error"; }
  }
}

figure {
  figcaption {
    margin-top: 10px;
    text-align: center;
    font-size: $font-size-caption;
    color: $color-caption;
  }
}
